Bug 174677 - [PATCH] devel/libconfig: update to 1.4.9
Summary: [PATCH] devel/libconfig: update to 1.4.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-24 14:00 UTC by ntarmos
Modified: 2012-12-30 20:50 UTC (History)
1 user (show)

See Also:


Attachments
libconfig-1.4.9.patch (1.11 KB, patch)
2012-12-24 14:00 UTC, ntarmos
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ntarmos 2012-12-24 14:00:01 UTC
- Trivial update to 1.4.9

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2012-12-24 14:00:32 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer) (via the GNATS Auto Assign 
Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-12-24 14:00:33 UTC
Maintainer of devel/libconfig,

Please note that PR ports/174677 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/174677

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2012-12-24 14:00:34 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 dfilter service freebsd_committer 2012-12-30 20:43:56 UTC
Author: pawel
Date: Sun Dec 30 20:43:48 2012
New Revision: 309691
URL: http://svnweb.freebsd.org/changeset/ports/309691

Log:
  - Update to version 1.4.9 [1]
  - Update maintainer's email
  - Remove USE_GNOME=pkgconfig - it's unused
  - Configure script is GNU
  - Remove leading article from COMMENT
  
  PR:		ports/174677 [1]
  Submitted by:	Nikos Ntarmos <ntarmos@ceid.upatras.gr> (maintainer)

Modified:
  head/devel/libconfig/Makefile
  head/devel/libconfig/distinfo

Modified: head/devel/libconfig/Makefile
==============================================================================
--- head/devel/libconfig/Makefile	Sun Dec 30 20:31:56 2012	(r309690)
+++ head/devel/libconfig/Makefile	Sun Dec 30 20:43:48 2012	(r309691)
@@ -1,22 +1,18 @@
-# New ports collection makefile for:   libconfig
-# Date created:                September 26, 2007
-# Whom:                        Nikos Ntarmos <ntarmos@ceid.upatras.gr>
-#
+# Created by: Nikos Ntarmos <ntarmos@ceid.upatras.gr>
 # $FreeBSD$
-#
 
 PORTNAME=	libconfig
-PORTVERSION=	1.4.8
+PORTVERSION=	1.4.9
 CATEGORIES=	devel
 MASTER_SITES=	http://www.hyperrealm.com/libconfig/
 
-MAINTAINER=	ntarmos@cs.uoi.gr
-COMMENT=	A simple library for manipulating structured configuration files
+MAINTAINER=	ntarmos@ceid.upatras.gr
+COMMENT=	Simple library for manipulating structured configuration files
 
 CONFLICTS=	wand-libconfig-[0-9]*
 
-USE_GNOME=	gnomehack pkgconfig
-HAS_CONFIGURE=	yes
+USE_GNOME=	gnomehack
+GNU_CONFIGURE=	yes
 USE_LDCONFIG=	yes
 USE_GMAKE=	yes
 CONFIGURE_ARGS+=	--prefix=${PREFIX} --infodir=${PREFIX}/${INFO_PATH}

Modified: head/devel/libconfig/distinfo
==============================================================================
--- head/devel/libconfig/distinfo	Sun Dec 30 20:31:56 2012	(r309690)
+++ head/devel/libconfig/distinfo	Sun Dec 30 20:43:48 2012	(r309691)
@@ -1,2 +1,2 @@
-SHA256 (libconfig-1.4.8.tar.gz) = 18b1509fbf438a8c7f9b0af32284e458189b5f6dfd044f898926109f3c3c01ed
-SIZE (libconfig-1.4.8.tar.gz) = 645823
+SHA256 (libconfig-1.4.9.tar.gz) = 09c8979252e60193e2969e9b0e1cd597f7820087867989b2f0939ad164473041
+SIZE (libconfig-1.4.9.tar.gz) = 688158
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Pawel Pekala freebsd_committer 2012-12-30 20:44:38 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!